AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

# eeprom.h File Reference

## Defines

#define | _EEPROM_H_ 1
#define | __need_size_t
#define | XCALL "rcall"
#define | __EEPROM_REG_LOCATIONS__ 1C1D1E
#define | _STR2(EXP) _STR1(EXP)
#define | _STR1(EXP) #EXP
#define | _REG_LOCATION_SUFFIX _STR2(__EEPROM_REG_LOCATIONS__)
#define | CR_TAB "\n\t"
IAR C compatibility defines
#define | _EEPUT(addr, val) eeprom_write_byte ((uint8_t *)(addr), (uint8_t)(val))
#define | _EEGET(var, addr) (var) = eeprom_read_byte ((uint8_t *)(addr))

## Functions

static uint8_t | __attribute__ ((always_inline)) eeprom_read_byte(const uint8_t *addr)

## Variables

static void const void * | pointer_eeprom
static void const void size_t | size
static void uint8_t | value

## avr-libc declarations

#define | EEMEM __attribute__((section(".eeprom")))
#define | eeprom_is_ready()
#define | eeprom_busy_wait() do {} while (!eeprom_is_ready())
uint8_t | eeprom_read_byte (const uint8_t *addr)
uint16_t | eeprom_read_word (const uint16_t *addr)
void | eeprom_read_block (void *pointer_ram, const void *pointer_eeprom, size_t n)
void | eeprom_write_byte (uint8_t *addr, uint8_t value)
void | eeprom_write_word (uint16_t *addr, uint16_t value)
void | eeprom_write_block (const void *pointer_ram, void *pointer_eeprom, size_t n)

## Detailed Description

Automatically generated by Doxygen 1.5.8 on 22 Apr 2009.